package com.andrewchan.smsforbotv2;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.andrewchan.smsforbotv2", "com.andrewchan.smsforbotv2.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "com.andrewchan.smsforbotv2", "com.andrewchan.smsforbotv2.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "com.andrewchan.smsforbotv2.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
//        try {
//            if (processBA.subExists("activity_actionbarhomeclick")) {
//                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
//                    getClass().getMethod("getActionBar").invoke(this), true);
//                BA.Log("adding event");
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//        }
		return true;
	}   
// @Override
// public boolean onOptionsItemSelected(android.view.MenuItem item) {
//    if (item.getItemId() == 16908332) {
//        processBA.raiseEvent(null, "activity_actionbarhomeclick");
//        return true;
//    }
//    else
//        return super.onOptionsItemSelected(item); 
//}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static String _chb = "";
public static int _timern = 0;
public static com.andrewchan.smsforbotv2.httpjob _job1 = null;
public static com.andrewchan.smsforbotv2.httpjob _job2 = null;
public static String _s = "";
public static int _t = 0;
public static anywheresoftware.b4a.phone.Phone.PhoneSms _sms1 = null;
public static anywheresoftware.b4a.objects.Timer _timer1 = null;
public static adr.stringfunctions.stringfunctions _sf = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext4 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spinner1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label6 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper _checkbox1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button6 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button7 = null;
public com.andrewchan.smsforbotv2.s1 _s1 = null;
public com.andrewchan.smsforbotv2.httputils2service _httputils2service = null;
public com.andrewchan.smsforbotv2.statemanager _statemanager = null;
public com.andrewchan.smsforbotv2.s2 _s2 = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 52;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 54;BA.debugLine="Activity.LoadLayout(\"Main\")";
mostCurrent._activity.LoadLayout("Main",mostCurrent.activityBA);
 //BA.debugLineNum = 55;BA.debugLine="Spinner1.AddAll(Array As String(\"1\",\"2\",\"3\",\"4\",\"5\",\"6\"))";
mostCurrent._spinner1.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{"1","2","3","4","5","6"}));
 //BA.debugLineNum = 56;BA.debugLine="StartService(s1)";
anywheresoftware.b4a.keywords.Common.StartService(mostCurrent.activityBA,(Object)(mostCurrent._s1.getObject()));
 //BA.debugLineNum = 58;BA.debugLine="EditText1.Text = StateManager.GetSetting2(\"user\",\"\")";
mostCurrent._edittext1.setText((Object)(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"user","")));
 //BA.debugLineNum = 59;BA.debugLine="EditText2.Text = StateManager.GetSetting2(\"pass\",\"\")";
mostCurrent._edittext2.setText((Object)(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"pass","")));
 //BA.debugLineNum = 60;BA.debugLine="EditText5.Text = StateManager.GetSetting2(\"num\",\"64500366\")";
mostCurrent._edittext5.setText((Object)(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"num","64500366")));
 //BA.debugLineNum = 61;BA.debugLine="Spinner1.SelectedIndex = StateManager.GetSetting2(\"pc\",\"0\")";
mostCurrent._spinner1.setSelectedIndex((int)(Double.parseDouble(mostCurrent._statemanager._getsetting2(mostCurrent.activityBA,"pc","0"))));
 //BA.debugLineNum = 62;BA.debugLine="EditText5.Visible = False";
mostCurrent._edittext5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 63;BA.debugLine="Button5.Visible = False";
mostCurrent._button5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 64;BA.debugLine="t = 0";
_t = (int) (0);
 //BA.debugLineNum = 66;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 121;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 122;BA.debugLine="StopService(s1)";
anywheresoftware.b4a.keywords.Common.StopService(mostCurrent.activityBA,(Object)(mostCurrent._s1.getObject()));
 //BA.debugLineNum = 123;BA.debugLine="StopService(s2)";
anywheresoftware.b4a.keywords.Common.StopService(mostCurrent.activityBA,(Object)(mostCurrent._s2.getObject()));
 //BA.debugLineNum = 124;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 117;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 119;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
 //BA.debugLineNum = 233;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 234;BA.debugLine="StateManager.SaveState(Activity, \"Main\")";
mostCurrent._statemanager._savestate(mostCurrent.activityBA,mostCurrent._activity,"Main");
 //BA.debugLineNum = 235;BA.debugLine="StateManager.SetSetting(\"user\",EditText1.Text)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"user",mostCurrent._edittext1.getText());
 //BA.debugLineNum = 236;BA.debugLine="StateManager.SetSetting(\"pass\",EditText2.Text)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"pass",mostCurrent._edittext2.getText());
 //BA.debugLineNum = 237;BA.debugLine="StateManager.SetSetting(\"pc\",Spinner1.SelectedIndex)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"pc",BA.NumberToString(mostCurrent._spinner1.getSelectedIndex()));
 //BA.debugLineNum = 238;BA.debugLine="StateManager.SetSetting(\"num\",EditText5.Text)";
mostCurrent._statemanager._setsetting(mostCurrent.activityBA,"num",mostCurrent._edittext5.getText());
 //BA.debugLineNum = 239;BA.debugLine="StateManager.SaveSettings";
mostCurrent._statemanager._savesettings(mostCurrent.activityBA);
 //BA.debugLineNum = 240;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
 //BA.debugLineNum = 227;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 228;BA.debugLine="Timer1.Interval = 1500";
_timer1.setInterval((long) (1500));
 //BA.debugLineNum = 229;BA.debugLine="Timer1.Enabled = True";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 230;BA.debugLine="TimerN = 0";
_timern = (int) (0);
 //BA.debugLineNum = 231;BA.debugLine="t = 0";
_t = (int) (0);
 //BA.debugLineNum = 232;BA.debugLine="End Sub";
return "";
}
public static String  _button3_click() throws Exception{
 //BA.debugLineNum = 221;BA.debugLine="Sub Button3_click";
 //BA.debugLineNum = 222;BA.debugLine="Timer1.Enabled = False";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 223;BA.debugLine="TimerN = 0";
_timern = (int) (0);
 //BA.debugLineNum = 224;BA.debugLine="t = 0";
_t = (int) (0);
 //BA.debugLineNum = 225;BA.debugLine="End Sub";
return "";
}
public static String  _button4_click() throws Exception{
 //BA.debugLineNum = 212;BA.debugLine="Sub Button4_click";
 //BA.debugLineNum = 216;BA.debugLine="Timer1.Interval = 1500";
_timer1.setInterval((long) (1500));
 //BA.debugLineNum = 217;BA.debugLine="TimerN = 2";
_timern = (int) (2);
 //BA.debugLineNum = 218;BA.debugLine="Timer1.Enabled = True";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 219;BA.debugLine="End Sub";
return "";
}
public static String  _button5_click() throws Exception{
 //BA.debugLineNum = 208;BA.debugLine="Sub Button5_click";
 //BA.debugLineNum = 209;BA.debugLine="EditText5.Text = \"64500366\"";
mostCurrent._edittext5.setText((Object)("64500366"));
 //BA.debugLineNum = 210;BA.debugLine="End Sub";
return "";
}
public static String  _button6_click() throws Exception{
anywheresoftware.b4a.phone.SmsWrapper _smsmessages1 = null;
anywheresoftware.b4a.objects.collections.List _list1 = null;
anywheresoftware.b4a.objects.collections.List _list2 = null;
int _i = 0;
anywheresoftware.b4a.phone.SmsWrapper.Sms _sms2 = null;
 //BA.debugLineNum = 252;BA.debugLine="Sub Button6_Click";
 //BA.debugLineNum = 265;BA.debugLine="Dim SmsMessages1 As SmsMessages";
_smsmessages1 = new anywheresoftware.b4a.phone.SmsWrapper();
 //BA.debugLineNum = 266;BA.debugLine="Dim List1 As List";
_list1 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 267;BA.debugLine="Dim List2 As List";
_list2 = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 269;BA.debugLine="List1 = SmsMessages1.GetAllSince(DateTime.Add(DateTime.Now , 0, 0, -1))";
_list1 = _smsmessages1.GetAllSince(anywheresoftware.b4a.keywords.Common.DateTime.Add(anywheresoftware.b4a.keywords.Common.DateTime.getNow(),(int) (0),(int) (0),(int) (-1)));
 //BA.debugLineNum = 270;BA.debugLine="List2.Initialize";
_list2.Initialize();
 //BA.debugLineNum = 271;BA.debugLine="For i = 0 To List1.Size - 1";
{
final int step161 = 1;
final int limit161 = (int) (_list1.getSize()-1);
for (_i = (int) (0); (step161 > 0 && _i <= limit161) || (step161 < 0 && _i >= limit161); _i = ((int)(0 + _i + step161))) {
 //BA.debugLineNum = 272;BA.debugLine="Dim Sms2 As Sms";
_sms2 = new anywheresoftware.b4a.phone.SmsWrapper.Sms();
 //BA.debugLineNum = 274;BA.debugLine="Sms2 = List1.Get(i)";
_sms2 = (anywheresoftware.b4a.phone.SmsWrapper.Sms)(_list1.Get(_i));
 //BA.debugLineNum = 275;BA.debugLine="If Sms2.Address = EditText5.text Then";
if ((_sms2.Address).equals(mostCurrent._edittext5.getText())) { 
 //BA.debugLineNum = 276;BA.debugLine="List2.Add(Sms2)";
_list2.Add((Object)(_sms2));
 //BA.debugLineNum = 277;BA.debugLine="List1.SortType (\"Date\", True)";
_list1.SortType("Date",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 278;BA.debugLine="Log(Sms2)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(_sms2));
 //BA.debugLineNum = 280;BA.debugLine="If i = List1.Size -1 Then";
if (_i==_list1.getSize()-1) { 
 //BA.debugLineNum = 281;BA.debugLine="If sf.InString(Sms2.Body.SubString(Sms2.Body.Length - 9 + 1),\" \") = -1 Then";
if (_sf._vvv4(_sms2.Body.substring((int) (_sms2.Body.length()-9+1))," ")==-1) { 
 //BA.debugLineNum = 283;BA.debugLine="EditText4.Text = Sms2.Body.SubString(Sms2.Body.Length - 9 + 1)";
mostCurrent._edittext4.setText((Object)(_sms2.Body.substring((int) (_sms2.Body.length()-9+1))));
 //BA.debugLineNum = 284;BA.debugLine="chb = \"http://iphone.chb.hk/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem & \"&sms=\" & EditText4.Text";
_chb = "http://iphone.chb.hk/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem()+"&sms="+mostCurrent._edittext4.getText();
 //BA.debugLineNum = 285;BA.debugLine="Job1.Initialize(\"Job1\", Me)";
_job1._initialize(processBA,"Job1",main.getObject());
 //BA.debugLineNum = 286;BA.debugLine="Job1.Download(chb)";
_job1._download(_chb);
 }else {
 //BA.debugLineNum = 288;BA.debugLine="Sms2 = List1.Get(i-1)";
_sms2 = (anywheresoftware.b4a.phone.SmsWrapper.Sms)(_list1.Get((int) (_i-1)));
 //BA.debugLineNum = 289;BA.debugLine="List1.SortType (\"Date\", True)";
_list1.SortType("Date",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 291;BA.debugLine="EditText4.Text = Sms2.Body.SubString(Sms2.Body.Length - 9 + 1)";
mostCurrent._edittext4.setText((Object)(_sms2.Body.substring((int) (_sms2.Body.length()-9+1))));
 //BA.debugLineNum = 292;BA.debugLine="chb = \"http://iphone.chb.hk/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem & \"&sms=\" & EditText4.Text";
_chb = "http://iphone.chb.hk/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem()+"&sms="+mostCurrent._edittext4.getText();
 //BA.debugLineNum = 293;BA.debugLine="Job1.Initialize(\"Job1\", Me)";
_job1._initialize(processBA,"Job1",main.getObject());
 //BA.debugLineNum = 294;BA.debugLine="Job1.Download(chb)";
_job1._download(_chb);
 };
 };
 };
 }
};
 //BA.debugLineNum = 317;BA.debugLine="End Sub";
return "";
}
public static String  _button7_click() throws Exception{
 //BA.debugLineNum = 318;BA.debugLine="Sub Button7_Click";
 //BA.debugLineNum = 319;BA.debugLine="SMS1.Send(EditText5.Text,EditText3.Text)";
_sms1.Send(mostCurrent._edittext5.getText(),mostCurrent._edittext3.getText());
 //BA.debugLineNum = 320;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 321;BA.debugLine="Label6.Text = \"[\" & DateTime.Date(DateTime.now) & \"]Done!! Sended \" & EditText3.Text & \" to Apple.\"";
mostCurrent._label6.setText((Object)("["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]Done!! Sended "+mostCurrent._edittext3.getText()+" to Apple."));
 //BA.debugLineNum = 322;BA.debugLine="End Sub";
return "";
}
public static String  _button8_click() throws Exception{
 //BA.debugLineNum = 323;BA.debugLine="Sub Button8_Click";
 //BA.debugLineNum = 324;BA.debugLine="StopService(s1)";
anywheresoftware.b4a.keywords.Common.StopService(mostCurrent.activityBA,(Object)(mostCurrent._s1.getObject()));
 //BA.debugLineNum = 325;BA.debugLine="StartService(s2)";
anywheresoftware.b4a.keywords.Common.StartService(mostCurrent.activityBA,(Object)(mostCurrent._s2.getObject()));
 //BA.debugLineNum = 326;BA.debugLine="s2.username = EditText1.Text";
mostCurrent._s2._username = mostCurrent._edittext1.getText();
 //BA.debugLineNum = 327;BA.debugLine="s2.password = EditText2.Text";
mostCurrent._s2._password = mostCurrent._edittext2.getText();
 //BA.debugLineNum = 328;BA.debugLine="s2.pc = Spinner1.SelectedItem";
mostCurrent._s2._pc = mostCurrent._spinner1.getSelectedItem();
 //BA.debugLineNum = 329;BA.debugLine="s2.phonenum = EditText5.Text";
mostCurrent._s2._phonenum = mostCurrent._edittext5.getText();
 //BA.debugLineNum = 338;BA.debugLine="End Sub";
return "";
}
public static String  _checkbox1_checkedchange(boolean _checked) throws Exception{
 //BA.debugLineNum = 198;BA.debugLine="Sub CheckBox1_CheckedChange(Checked As Boolean)";
 //BA.debugLineNum = 199;BA.debugLine="If CheckBox1.Checked Then";
if (mostCurrent._checkbox1.getChecked()) { 
 //BA.debugLineNum = 200;BA.debugLine="EditText5.Visible = True";
mostCurrent._edittext5.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 201;BA.debugLine="Button5.Visible = True";
mostCurrent._button5.setVisible(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 203;BA.debugLine="EditText5.Visible = False";
mostCurrent._edittext5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 204;BA.debugLine="Button5.Visible = False";
mostCurrent._button5.setVisible(anywheresoftware.b4a.keywords.Common.False);
 };
 //BA.debugLineNum = 206;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
s1._process_globals();
httputils2service._process_globals();
statemanager._process_globals();
s2._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 30;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 34;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Private EditText2 As EditText";
mostCurrent._edittext2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Private EditText3 As EditText";
mostCurrent._edittext3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Private Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 38;BA.debugLine="Private Label2 As Label";
mostCurrent._label2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Private Label3 As Label";
mostCurrent._label3 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 40;BA.debugLine="Private EditText4 As EditText";
mostCurrent._edittext4 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Private Spinner1 As Spinner";
mostCurrent._spinner1 = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Private Label6 As Label";
mostCurrent._label6 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Private EditText5 As EditText";
mostCurrent._edittext5 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Private Button3 As Button";
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Private CheckBox1 As CheckBox";
mostCurrent._checkbox1 = new anywheresoftware.b4a.objects.CompoundButtonWrapper.CheckBoxWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Private Button4 As Button";
mostCurrent._button4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Private Button5 As Button";
mostCurrent._button5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 48;BA.debugLine="Private Button6 As Button";
mostCurrent._button6 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 49;BA.debugLine="Private Button7 As Button";
mostCurrent._button7 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 50;BA.debugLine="End Sub";
return "";
}
public static String  _jobdone(com.andrewchan.smsforbotv2.httpjob _job) throws Exception{
 //BA.debugLineNum = 151;BA.debugLine="Sub JobDone (Job As HttpJob)";
 //BA.debugLineNum = 153;BA.debugLine="If Job.Success = True Then";
if (_job._success==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 154;BA.debugLine="Select Job.JobName";
switch (BA.switchObjectToInt(_job._jobname,"Job1","Job2")) {
case 0:
 //BA.debugLineNum = 157;BA.debugLine="s = Job.GetString";
_s = _job._getstring();
 //BA.debugLineNum = 158;BA.debugLine="Msgbox(s,\"完成\")";
anywheresoftware.b4a.keywords.Common.Msgbox(_s,"完成",mostCurrent.activityBA);
 //BA.debugLineNum = 159;BA.debugLine="Timer1.Enabled = False";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 break;
case 1:
 //BA.debugLineNum = 162;BA.debugLine="s = Job.GetString";
_s = _job._getstring();
 //BA.debugLineNum = 164;BA.debugLine="If s.Length > 11 Then";
if (_s.length()>11) { 
 //BA.debugLineNum = 165;BA.debugLine="EditText3.Text = s.SubString(s.Length - 12 + 1)";
mostCurrent._edittext3.setText((Object)(_s.substring((int) (_s.length()-12+1))));
 //BA.debugLineNum = 166;BA.debugLine="Timer1.Enabled = False";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 167;BA.debugLine="If t < 1 Then";
if (_t<1) { 
 //BA.debugLineNum = 168;BA.debugLine="SMS1.Send(EditText5.Text,s.SubString(s.Length - 12 + 1))";
_sms1.Send(mostCurrent._edittext5.getText(),_s.substring((int) (_s.length()-12+1)));
 //BA.debugLineNum = 169;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 170;BA.debugLine="Label6.Text = \"[\" & DateTime.Date(DateTime.now) & \"]Done!! Sended \" & s.SubString(s.Length - 12 + 1) & \" to Apple.\"";
mostCurrent._label6.setText((Object)("["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]Done!! Sended "+_s.substring((int) (_s.length()-12+1))+" to Apple."));
 //BA.debugLineNum = 171;BA.debugLine="t = 1";
_t = (int) (1);
 };
 };
 break;
}
;
 }else {
 };
 //BA.debugLineNum = 179;BA.debugLine="Job.Release";
_job._release();
 //BA.debugLineNum = 180;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 18;BA.debugLine="Dim chb As String";
_chb = "";
 //BA.debugLineNum = 19;BA.debugLine="Dim TimerN As Int";
_timern = 0;
 //BA.debugLineNum = 20;BA.debugLine="Dim Job1, Job2 As HttpJob";
_job1 = new com.andrewchan.smsforbotv2.httpjob();
_job2 = new com.andrewchan.smsforbotv2.httpjob();
 //BA.debugLineNum = 21;BA.debugLine="Dim s As String";
_s = "";
 //BA.debugLineNum = 22;BA.debugLine="Dim t As Int";
_t = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim SMS1 As PhoneSms";
_sms1 = new anywheresoftware.b4a.phone.Phone.PhoneSms();
 //BA.debugLineNum = 24;BA.debugLine="Dim Timer1 As Timer";
_timer1 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 25;BA.debugLine="Timer1.Initialize(\"Timer1\",1500)";
_timer1.Initialize(processBA,"Timer1",(long) (1500));
 //BA.debugLineNum = 26;BA.debugLine="Dim sf As StringFunctions";
_sf = new adr.stringfunctions.stringfunctions();
 //BA.debugLineNum = 27;BA.debugLine="sf.Initialize";
_sf._initialize(processBA);
 //BA.debugLineNum = 28;BA.debugLine="End Sub";
return "";
}
public static String  _show_msg() throws Exception{
 //BA.debugLineNum = 126;BA.debugLine="Sub show_msg";
 //BA.debugLineNum = 127;BA.debugLine="If s1.TestStrAdd = EditText5.Text Then";
if ((mostCurrent._s1._teststradd).equals(mostCurrent._edittext5.getText())) { 
 //BA.debugLineNum = 128;BA.debugLine="EditText4.Text = s1.TestStr";
mostCurrent._edittext4.setText((Object)(mostCurrent._s1._teststr));
 //BA.debugLineNum = 129;BA.debugLine="TimerN = 2";
_timern = (int) (2);
 //BA.debugLineNum = 130;BA.debugLine="Timer1.Interval = 1500";
_timer1.setInterval((long) (1500));
 //BA.debugLineNum = 131;BA.debugLine="Timer1.Enabled = True";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 141;BA.debugLine="End Sub";
return "";
}
public static String  _timer1_tick() throws Exception{
 //BA.debugLineNum = 68;BA.debugLine="Sub Timer1_Tick";
 //BA.debugLineNum = 70;BA.debugLine="If TimerN = 0 Then";
if (_timern==0) { 
 //BA.debugLineNum = 71;BA.debugLine="TimerN = 1";
_timern = (int) (1);
 //BA.debugLineNum = 72;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 73;BA.debugLine="Label6.Text = \"2.[\" & DateTime.Date(DateTime.now) & \"]\" & \"Checking sms code from bot.\"";
mostCurrent._label6.setText((Object)("2.["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]"+"Checking sms code from bot."));
 //BA.debugLineNum = 74;BA.debugLine="chb = \"http://iphone.chb.hk/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem";
_chb = "http://iphone.chb.hk/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem();
 //BA.debugLineNum = 79;BA.debugLine="Dim Job2 As HttpJob";
_job2 = new com.andrewchan.smsforbotv2.httpjob();
 //BA.debugLineNum = 80;BA.debugLine="Job2.Initialize(\"Job2\", Me)";
_job2._initialize(processBA,"Job2",main.getObject());
 //BA.debugLineNum = 81;BA.debugLine="Job2.Download(chb)";
_job2._download(_chb);
 //BA.debugLineNum = 82;BA.debugLine="Job2.GetRequest.Timeout = 2000";
_job2._getrequest().setTimeout((int) (2000));
 }else if(_timern==1) { 
 //BA.debugLineNum = 84;BA.debugLine="TimerN = 0";
_timern = (int) (0);
 //BA.debugLineNum = 85;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 86;BA.debugLine="Label6.Text = \"1.[\" & DateTime.Date(DateTime.now) & \"]\" & \"Checking sms code from bot.\"";
mostCurrent._label6.setText((Object)("1.["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]"+"Checking sms code from bot."));
 //BA.debugLineNum = 87;BA.debugLine="chb = \"http://iphone3.chb.hk:8080/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem";
_chb = "http://iphone3.chb.hk:8080/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem();
 //BA.debugLineNum = 92;BA.debugLine="Dim Job2 As HttpJob";
_job2 = new com.andrewchan.smsforbotv2.httpjob();
 //BA.debugLineNum = 93;BA.debugLine="Job2.Initialize(\"Job2\", Me)";
_job2._initialize(processBA,"Job2",main.getObject());
 //BA.debugLineNum = 94;BA.debugLine="Job2.Download(chb)";
_job2._download(_chb);
 //BA.debugLineNum = 95;BA.debugLine="Job2.GetRequest.Timeout = 1500";
_job2._getrequest().setTimeout((int) (1500));
 }else if(_timern==2) { 
 //BA.debugLineNum = 97;BA.debugLine="TimerN = 3";
_timern = (int) (3);
 //BA.debugLineNum = 98;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 99;BA.debugLine="Label6.Text = \"4. [\" & DateTime.Date(DateTime.now) & \"]\" & \"Updating sms code to bot.\"";
mostCurrent._label6.setText((Object)("4. ["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]"+"Updating sms code to bot."));
 //BA.debugLineNum = 100;BA.debugLine="chb = \"http://iphone.chb.hk/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem & \"&sms=\" & EditText4.Text";
_chb = "http://iphone.chb.hk/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem()+"&sms="+mostCurrent._edittext4.getText();
 //BA.debugLineNum = 101;BA.debugLine="Dim Job2 As HttpJob";
_job2 = new com.andrewchan.smsforbotv2.httpjob();
 //BA.debugLineNum = 102;BA.debugLine="Job2.Initialize(\"Job1\", Me)";
_job2._initialize(processBA,"Job1",main.getObject());
 //BA.debugLineNum = 103;BA.debugLine="Job2.Download(chb)";
_job2._download(_chb);
 //BA.debugLineNum = 104;BA.debugLine="Job2.GetRequest.Timeout = 2000";
_job2._getrequest().setTimeout((int) (2000));
 }else if(_timern==3) { 
 //BA.debugLineNum = 106;BA.debugLine="TimerN = 2";
_timern = (int) (2);
 //BA.debugLineNum = 107;BA.debugLine="DateTime.DateFormat=\"hh:mm:ss\"";
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("hh:mm:ss");
 //BA.debugLineNum = 108;BA.debugLine="Label6.Text = \"3. [\" & DateTime.Date(DateTime.now) & \"]\" & \"Updating sms code to bot.\"";
mostCurrent._label6.setText((Object)("3. ["+anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow())+"]"+"Updating sms code to bot."));
 //BA.debugLineNum = 109;BA.debugLine="chb = \"http://iphone3.chb.hk:8080/auth.php?username=\" &  EditText1.Text & \"&password=\" &  EditText2.Text & \"&pc=\" & Spinner1.SelectedItem & \"&sms=\" & EditText4.Text";
_chb = "http://iphone3.chb.hk:8080/auth.php?username="+mostCurrent._edittext1.getText()+"&password="+mostCurrent._edittext2.getText()+"&pc="+mostCurrent._spinner1.getSelectedItem()+"&sms="+mostCurrent._edittext4.getText();
 //BA.debugLineNum = 110;BA.debugLine="Dim Job2 As HttpJob";
_job2 = new com.andrewchan.smsforbotv2.httpjob();
 //BA.debugLineNum = 111;BA.debugLine="Job2.Initialize(\"Job1\", Me)";
_job2._initialize(processBA,"Job1",main.getObject());
 //BA.debugLineNum = 112;BA.debugLine="Job2.Download(chb)";
_job2._download(_chb);
 //BA.debugLineNum = 113;BA.debugLine="Job2.GetRequest.Timeout = 1500";
_job2._getrequest().setTimeout((int) (1500));
 };
 //BA.debugLineNum = 115;BA.debugLine="End Sub";
return "";
}
}
